#
# spec file for package rubygem-fastthread
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-fastthread
Version:        1.0.7
Release:        18.2
%define mod_name fastthread
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 3
BuildRequires:  rubygem(rdoc) > 3.10
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Optimized replacement for thread.rb primitives
License:        Ruby
Group:          Development/Languages/Ruby

%description
Optimized replacement for thread.rb primitives

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
%gem_cleanup
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{gem_base}/gems/%{mod_full_name}/CHANGELOG %buildroot/%{_docdir}/%{name}/CHANGELOG

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{gem_base}/cache/%{mod_full_name}.gem
%{gem_base}/gems/%{mod_full_name}/
%{gem_extensions}/%{mod_full_name}
%exclude %{gem_base}/gems/%{mod_full_name}/test
%{gem_base}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{gem_base}/doc

%files testsuite
%defattr(-,root,root,-)
%{gem_base}/gems/%{mod_full_name}/test

%changelog
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Thu Aug  2 2012 cfarrell@suse.com
- license update: Ruby
  The Ruby license is itself a dual license which offers a choice of
  GPL-2.0+ or an artistic type license
* Tue Feb 21 2012 jreidinger@suse.com
- add ruby-devel dependencies which helps for older systems
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to version 1.0.7
* Fri Dec  5 2008 mrueckert@suse.de
- update to version 1.0.1
* Mon May 14 2007 mrueckert@suse.de
- initial package of version 1.0
